//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
#include <Menus.hpp>
#include <ExtDlgs.hpp>
#include "IEOpenSaveDlg.hpp"
#include "ImageEnIO.hpp"
#include "ImageEnProc.hpp"
#include "ImageEnView.hpp"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TMainMenu *MainMenu1;
        TMenuItem *File1;
        TMenuItem *Load1;
        TMenuItem *Save1;
        TMenuItem *N1;
        TMenuItem *Exit1;
        TImageEnView *ImageEnView1;
        TImageEnIO *ImageEnIO1;
        TImageEnProc *ImageEnProc1;
	TMenuItem *SelectTWainsource1;
	TMenuItem *Acquire1;
	TMenuItem *N2;
	TMenuItem *Dialogs1;
	TMenuItem *Coloradjust1;
	TMenuItem *Effects1;
	TMenuItem *Tools1;
	TMenuItem *Histogram1;
	TMenuItem *Edit1;
	TMenuItem *Undo1;
	TMenuItem *N3;
	TMenuItem *Cut1;
	TMenuItem *Copy1;
	TMenuItem *Paste1;
	TOpenImageEnDialog *OpenImageEnDialog1;
	TSaveImageEnDialog *SaveImageEnDialog1;
        void __fastcall Load1Click(TObject *Sender);
	void __fastcall Save1Click(TObject *Sender);
	void __fastcall Exit1Click(TObject *Sender);
	void __fastcall SelectTWainsource1Click(TObject *Sender);
	void __fastcall Acquire1Click(TObject *Sender);
	void __fastcall Coloradjust1Click(TObject *Sender);
	void __fastcall Effects1Click(TObject *Sender);
	void __fastcall Histogram1Click(TObject *Sender);
	void __fastcall Undo1Click(TObject *Sender);
	void __fastcall Cut1Click(TObject *Sender);
	void __fastcall Copy1Click(TObject *Sender);
	void __fastcall Paste1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
